import type { Node } from 'prosemirror-model';
import type { NodeView } from 'prosemirror-view';
import "./yfm-cut-title.css";
export declare class YfmCutTitleNodeView implements NodeView {
    readonly dom: HTMLElement;
    readonly contentDOM: HTMLElement;
    private node;
    constructor(node: Node);
    update(node: Node): boolean;
}
